Bug 252338 - multimedia/libxine: Update to 1.2.11, Add ImageMagick7 support
Summary: multimedia/libxine: Update to 1.2.11, Add ImageMagick7 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://sourceforge.net/p/xine/xine-l...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-01 22:41 UTC by VVD
Modified: 2021-01-12 12:51 UTC (History)
2 users (show)

See Also:


Attachments
Update to version 1.2.11 and add possibility to build with ImageMagick7 (8.25 KB, patch)
2021-01-01 22:41 UTC, VVD
koobs: maintainer-approval+
Details | Diff
Update to version 1.2.11, add possibility to build with ImageMagick7, add options: AOM, DAV1D, GNUTLS, MUSEPACK, NFS, REAL, SDL, SFTP, V4L, WAYLAND (12.36 KB, patch)
2021-01-02 15:03 UTC, VVD
no flags Details | Diff
Update to version 1.2.11, add possibility to build with ImageMagick7, add options: AOM, DAV1D, GNUTLS, NFS, OPENSSL, SDL, SFTP, V4L, WAYLAND (12.30 KB, patch)
2021-01-09 09:08 UTC, VVD
no flags Details | Diff
Update to version 1.2.11, add possibility to build with ImageMagick7, add options: AOM, DAV1D, GNUTLS, NFS, OPENSSL, SDL, SFTP, V4L, WAYLAND (v4) (12.37 KB, patch)
2021-01-12 04:09 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2021-01-01 22:41:57 UTC
Created attachment 221181 [details]
Update to version 1.2.11 and add possibility to build with ImageMagick7

Tested on 12.2 amd64: check-plist, install, build depended ports.

It is necessary to correctly add dependencies for new plugins:
xineplug_vo_gl_egl_wl.so
xineplug_vo_gl_egl_x11.so
xineplug_vo_gl_glx.so
I have installed wayland and xorg libraries on this system and configure script found both. I can't find any configure options --enable/with to manage those dependencies.
Possible --enable/disable-wayland for egl_wl. But for egl_x11 and glx?
So I ask help in this part.

https://sourceforge.net/p/xine/xine-lib-1.2/ci/default/tree/ChangeLog:
xine-lib (1.2.11) 2020-12-06
  * Add gopher input plugin.
  * Add user settings for IPv6.
  * Split a52 spdif output to separate decoder.
  * Code cleanup.
  * More engine optimization.
  * Small optimizations (opengl2, dvb subtitles, png, mpeg-ts).
  * Better A/V sync.
  * Fix a few crashes.
  * Fix bluray playback.
  * Fix VAAPI picture jitter and green flashes.
  * Fix Opus and EAC3 audio playback.
  * Fix text subtitles.
  * Fix mpeg-ts (hdmv mode, detection of cut TV recordings).
  * Fix mpeg layer 1-4 audio timing.
  * Fix some VDR issues.
  * Fix HLS VOD mode.
  * Many small fixes.
  * Build fixes.
  * BSD fixes.
  * Update german translation.
  * Update internal libdca to upstream 0.0.7.

xine-lib (1.2.10) 2019-12-13
  * Add first Android support.
  * Add (xcb)xv yuy2 emulation.
  * Add libavcodec v58 compatibility.
  * Add avio seek support.
  * Make libpostproc optional.
  * Add libdav1d, libaom and lavc AV1 video decoders.
  * Add libvpx multithreading.
  * Add libpng decoder.
  * Add a52 double and fixed point modes.
  * Add Opus audio support to ogg demuxer.
  * Add AV1 video support to matroska demuxer.
  * Add ivf demuxer.
  * Add mpeg-ts split payload support.
  * Add TLS support using gnutls or OpenSSL.
  * Add ftp input plugin (ftp://) with TLS support (ftpes://)
  * Add tls:// input plugin (raw TLS over TCP).
  * Add libnfs NFS input plugin.
  * Add ftp/http seek support.
  * Add scp forward seek support.
  * Add mp4 http streaming support (plain and fragment modes).
  * Add HLS streaming support.
  * Add HTTP 1.1 support.
  * Add OpenGL EGL and Wayland support.
  * Add generic bitrate estimation.
  * Add side stream feature.
  * Optimize demux_qt.
  * Optimize OSD.
  * Optimize output layers.
  * Optimize decoder threads.
  * Optimize event handling.
  * Optimize stream info.
  * Optimize TCP/TLS/HTTP network input.
  * Optimize network buffering control.
  * Alsa/oss startup optimization.
  * Optimize input_stdin_fifo.
  * Optimize internal liba52.
  * Optimize user seek.
  * Build optimizations.
  * Simply user config.
  * Better support for audio out drivers that cannot resume after pause.
  * Better support for mpeg pts jumps.
  * Better bluray seek.
  * XML parser fixes.
  * Fix midstream audio mode switch.
  * Fix FLAC audio playback via ffmpeg.
  * Fix ffmpeg mpeg1/2 video.
  * Fix C++ build.
  * Fix build on clang only systems.
  * Fix/optimize mpeg, mpeg-ts, qt, flv, matroska, real and asf demuxers.
  * Fix network seek.
  * Fix/optimize audio CD.
  * Fix DVD (occasional crashes, damaged video after a DVD had been played).
  * Fix opengl2 freeze after X server failure.
  * Fix tvtime deinterlacer crash.
  * Fix/optimize overlay.
  * Fix/optimize old VDR plugin.
  * Fix xine-ui freeze when opening a playlist while paused.
  * Security fixes.
  * Build fixes (C99 mode, vaapi, ImageMagick, libmvec, less warnings).
  * Many small fixes.
  * More error handling instead of aborting.
  * Update german translation.
Comment 1 Automation User 2021-01-02 02:12:57 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/236470434
Comment 2 VVD 2021-01-02 15:03:10 UTC
Created attachment 221197 [details]
Update to version 1.2.11, add possibility to build with ImageMagick7, add options: AOM, DAV1D, GNUTLS, MUSEPACK, NFS, REAL, SDL, SFTP, V4L, WAYLAND
Comment 3 Tobias C. Berner freebsd_committer 2021-01-05 05:19:34 UTC
(In reply to VVD from comment #2)
Moin moin


Are you sure all these new options are required? Especially the v4l ones, why not leave it on by default as before? 


mfg Tobias
Comment 4 VVD 2021-01-05 05:51:14 UTC
(In reply to Tobias C. Berner from comment #3)
To not install optional dependencies if somebody don't need this functionality.
We can unit V4L1+V4L2 in one option V4L and turn REAL always on. I can do this if you insist. :-]
Comment 5 Tobias C. Berner freebsd_committer 2021-01-08 19:44:28 UTC
(In reply to VVD from comment #4)
I have no real strong feeling about this, but my concern is always, that too many options lead to hard to maintain ports. For example updating plists becomes a hassle, and also for ports depending on libxine it could get messy.

mfg Tobias
Comment 6 VVD 2021-01-09 03:33:42 UTC
(In reply to Tobias C. Berner from comment #5)
Can you please suggest options for removal and their default values?
Comment 7 VVD 2021-01-09 09:08:52 UTC
Created attachment 221409 [details]
Update to version 1.2.11, add possibility to build with ImageMagick7, add options: AOM, DAV1D, GNUTLS, NFS, OPENSSL, SDL, SFTP, V4L, WAYLAND

Another round of options optimization.
Comment 8 Tobias C. Berner freebsd_committer 2021-01-11 20:09:51 UTC
Moin moin 

Fails to compile for me:

/bin/sh ../../libtool  --tag=CC   --mode=link cc -O3  -fexpensive-optimizations  -ffast-math -fvisibility=hidden   -pipe  -Wall -Wformat=2 -Wno-format-zero-length -Wmissing-format-attribute -Werror-implicit-function-declaration -Wstrict-aliasing=2 -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -Wwrite-strings -Wpointer-arith -g -O2 -pipe -march=znver1  -DLIBICONV_PLUG -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -O3  -fexpensive-optimizations  -ffast-math -Wall -Wchar-subscripts -Wnested-externs -Wcast-align -Wmissing-declarations -Wmissing-prototypes -Wmissing-format-attribute -Wno-pointer-sign -Wformat=2 -Wno-format-zero-length -Wformat-security -Wstrict-aliasing=2 -Werror=implicit-function-declaration  -Wl,--gc-sections -avoid-version -module -Wl,-Bsymbolic -g   -fstack-protector-strong -fuse-ld=bfd  -o http_helper.la  http_helper.lo ../../src/xine-engine/libxine.la -L/usr/local/lib -lintl -R/usr/local/lib -L/usr/local/lib
/bin/sh ../../libtool  --tag=CC   --mode=link cc -O3  -fexpensive-optimizations  -ffast-math -fvisibility=hidden   -pipe  -Wall -Wformat=2 -Wno-format-zero-length -Wmissing-format-attribute -Werror-implicit-function-declaration -Wstrict-aliasing=2 -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -Wwrite-strings -Wpointer-arith -g -O2 -pipe -march=znver1  -DLIBICONV_PLUG -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -O3  -fexpensive-optimizations  -ffast-math -Wall -Wchar-subscripts -Wnested-externs -Wcast-align -Wmissing-declarations -Wmissing-prototypes -Wmissing-format-attribute -Wno-pointer-sign -Wformat=2 -Wno-format-zero-length -Wformat-security -Wstrict-aliasing=2 -Werror=implicit-function-declaration  -Wl,--gc-sections -avoid-version -module -Wl,-Bsymbolic -g   -fstack-protector-strong -fuse-ld=bfd  -o libasfheader.la  asfheader.lo  -L/usr/local/lib
input_dvb.c:110:10: fatal error: 'linux/dvb/dmx.h' file not found
#include <linux/dvb/dmx.h>
         ^~~~~~~~~~~~~~~~~
libtool: link: /usr/local/bin/ar cr .libs/libasfheader.a .libs/asfheader.o 
libtool: link: /usr/local/bin/ranlib .libs/libasfheader.a
libtool: link: ( cd ".libs" && rm -f "libasfheader.la" && ln -s "../libasfheader.la" "libasfheader.la" )


with
===> The following configuration options are available for libxine-1.2.11:
     AALIB=off: AAlib graphics library support
     ALSA=off: ALSA audio architecture support
     AOM=off: Enable libaom AV1 decoder support
     CACA=off: libcaca graphics library support
     DAV1D=off: Enable dav1d AV1 decoder support
     DMX_IMAGE=on: DMX image plugin
     DOCS=on: Build and/or install documentation
     DVB=on: DVB plugin
     GNOMEVFS2=off: GnomeVFS2 (virtual file system) support
     IPV6=on: IPv6 protocol support
     JACK=off: JACK audio server support
     LIBBLURAY=off: Blu-ray discs support via libbluray
     NFS=off: Enable NFS support using libnfs
     NLS=on: Native Language Support
     PIXBUF=on: GDK-PixBuf library support
     PULSEAUDIO=off: PulseAudio sound server support
     SDL=off: Enable support for SDL 1 video output
     SFTP=off: Enable SFTP support using libssh2
     SMB=off: SMB network protocol support
     SNDIO=off: Sndio audio support
     V4L=off: Video 4 Linux support
     VAAPI=on: VAAPI (GPU video acceleration) support
     WAVPACK=off: WavPack lossless audio format support
     WAYLAND=off: Enable Wayland support
     XVMC=off: X11 XvMC video extension support
====> Enable TLS support for https and ftps
     GNUTLS=off: SSL/TLS support via GnuTLS
     OPENSSL=on: SSL/TLS support via OpenSSL
====> ImageMagick image processing support: you can only select none or one of them
     IMAGEMAGICK6=off: ImageMagick image processing support version 6.x
     IMAGEMAGICK7=off: ImageMagick image processing support version 7.x
Comment 9 VVD 2021-01-12 04:09:15 UTC
Created attachment 221482 [details]
Update to version 1.2.11, add possibility to build with ImageMagick7, add options: AOM, DAV1D, GNUTLS, NFS, OPENSSL, SDL, SFTP, V4L, WAYLAND (v4)

Fixed: DVB plugin require multimedia/v4l_compat as BUILD_DEPENDS.
Comment 10 commit-hook freebsd_committer 2021-01-12 12:34:52 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jan 12 12:34:45 UTC 2021
New revision: 561322
URL: https://svnweb.freebsd.org/changeset/ports/561322

Log:
  multimedia/libxine: Update to 1.2.11, Add ImageMagick7 support

  Changelog: https://sourceforge.net/p/xine/xine-lib-1.2/ci/default/tree/ChangeLog:
  xine-lib (1.2.11) 2020-12-06
    * Add gopher input plugin.
    * Add user settings for IPv6.
    * Split a52 spdif output to separate decoder.
    * Code cleanup.
    * More engine optimization.
    * Small optimizations (opengl2, dvb subtitles, png, mpeg-ts).
    * Better A/V sync.
    * Fix a few crashes.
    * Fix bluray playback.
    * Fix VAAPI picture jitter and green flashes.
    * Fix Opus and EAC3 audio playback.
    * Fix text subtitles.
    * Fix mpeg-ts (hdmv mode, detection of cut TV recordings).
    * Fix mpeg layer 1-4 audio timing.
    * Fix some VDR issues.
    * Fix HLS VOD mode.
    * Many small fixes.
    * Build fixes.
    * BSD fixes.
    * Update german translation.
    * Update internal libdca to upstream 0.0.7.

  xine-lib (1.2.10) 2019-12-13
    * Add first Android support.
    * Add (xcb)xv yuy2 emulation.
    * Add libavcodec v58 compatibility.
    * Add avio seek support.
    * Make libpostproc optional.
    * Add libdav1d, libaom and lavc AV1 video decoders.
    * Add libvpx multithreading.
    * Add libpng decoder.
    * Add a52 double and fixed point modes.
    * Add Opus audio support to ogg demuxer.
    * Add AV1 video support to matroska demuxer.
    * Add ivf demuxer.
    * Add mpeg-ts split payload support.
    * Add TLS support using gnutls or OpenSSL.
    * Add ftp input plugin (ftp://) with TLS support (ftpes://)
    * Add tls:// input plugin (raw TLS over TCP).
    * Add libnfs NFS input plugin.
    * Add ftp/http seek support.
    * Add scp forward seek support.
    * Add mp4 http streaming support (plain and fragment modes).
    * Add HLS streaming support.
    * Add HTTP 1.1 support.
    * Add OpenGL EGL and Wayland support.
    * Add generic bitrate estimation.
    * Add side stream feature.
    * Optimize demux_qt.
    * Optimize OSD.
    * Optimize output layers.
    * Optimize decoder threads.
    * Optimize event handling.
    * Optimize stream info.
    * Optimize TCP/TLS/HTTP network input.
    * Optimize network buffering control.
    * Alsa/oss startup optimization.
    * Optimize input_stdin_fifo.
    * Optimize internal liba52.
    * Optimize user seek.
    * Build optimizations.
    * Simply user config.
    * Better support for audio out drivers that cannot resume after pause.
    * Better support for mpeg pts jumps.
    * Better bluray seek.
    * XML parser fixes.
    * Fix midstream audio mode switch.
    * Fix FLAC audio playback via ffmpeg.
    * Fix ffmpeg mpeg1/2 video.
    * Fix C++ build.
    * Fix build on clang only systems.
    * Fix/optimize mpeg, mpeg-ts, qt, flv, matroska, real and asf demuxers.
    * Fix network seek.
    * Fix/optimize audio CD.
    * Fix DVD (occasional crashes, damaged video after a DVD had been played).
    * Fix opengl2 freeze after X server failure.
    * Fix tvtime deinterlacer crash.
    * Fix/optimize overlay.
    * Fix/optimize old VDR plugin.
    * Fix xine-ui freeze when opening a playlist while paused.
    * Security fixes.
    * Build fixes (C99 mode, vaapi, ImageMagick, libmvec, less warnings).
    * Many small fixes.
    * More error handling instead of aborting.
    * Update german translation.

  PR:		252338
  Submitted by:	VVD <vvd@unislabs.com>

Changes:
  head/audio/atunes/Makefile
  head/graphics/gimageview/Makefile
  head/graphics/opencv/Makefile
  head/graphics/osg34/Makefile
  head/multimedia/gxine/Makefile
  head/multimedia/libxine/Makefile
  head/multimedia/libxine/distinfo
  head/multimedia/libxine/files/patch-include_config.h
  head/multimedia/libxine/files/patch-src_input_input__v4l.c
  head/multimedia/libxine/pkg-plist
  head/multimedia/subtitlecomposer/Makefile
  head/multimedia/vdr-plugin-xineliboutput/Makefile
  head/multimedia/xine/Makefile
  head/www/npapi-xine/Makefile
  head/x11/eaglemode/Makefile
Comment 11 VVD 2021-01-12 12:51:23 UTC
Thanks!